# -*- Mode: Python; tab-width: 4 -*-
#
#	$Id: styles.py,v 1.4 1999/06/17 17:42:40 pavlos Exp $
#	Author: Pavlos Christoforou <pavlos@gaaros.com>
#
# ======================================================================
#
# This software, its author and the author's donkey are all certified
# as open source. Use and abuse us in any way you see fit.
#
# Disclaimer
#
#   THIS SOFTWARE IS PROVIDED BY GAAROS ``AS IS'' AND ANY
#   EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL GAAROS OR HIS
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
#   SUCH DAMAGE.
#
########################################################################

__version__='$Revision: 1.4 $'[11:-2]


"""Style files. At this point all dimensions are absolute.

The default style dictionary should be used by all
documents. Modifications can update the default one.
"""


default={
    'title':'',
    'author':'',
    
    'page_width':612,
    'page_height':792,

    'top_margin':82,
    'bottom_margin':82,
    'left_margin':72,
    'right_margin':72,
    'text_area_width':468, 
    'text_area_height':628,
    
    'font_family':'Times-Roman',
    'font_size':10,

    'word_spacing':0,
    'tw_range':(0.6,1.3),
    'indent':0,
    'letter_spacing':0,
    'left_offset':0,
    'break_widows':4,
    'break_orphans':4,
    'level':0,
    'alignment':'ragged-right',
    
    'P_left_offset':0,
    'P_bottom_dy':8,
    'P_top_dy':0,

    'PRE_font_family':'Courier',
    'PRE_left_offset':0,
    'PRE_bottom_dy':8,
    'PRE_top_dy':0,
    
    'LI_bottom_dy':8,
    'LI_top_dy':0,
    
    'bullet_char':'\236',
    'bullet_font_family':'Symbol',
    'bullet_x_offset':13,
    'level_offset':13,

    'OL_font_family':'Times-Bold',

    'H_bullet_x_offset':35,
    
    'H1_left_offset':0,
    'H1_font_family':'Helvetica-Bold',
    'H1_font_size':22,
    'H1_bottom_dy':21,
    'H1_top_dy':10,
    'H1_numbering':1,

    'H2_left_offset':0,
    'H2_font_family':'Helvetica-Bold',
    'H2_font_size':14,
    'H2_bottom_dy':15,
    'H2_top_dy':5,
    'H2_numbering':1,

    'H3_left_offset':0,
    'H3_font_family':'Helvetica-Bold',
    'H3_font_size':12,
    'H3_bottom_dy':11,
    'H3_top_dy':6,
    'H3_numbering':1,

    'H4_left_offset':0,
    'H4_font_family':'Helvetica-Bold',
    'H4_font_size':10,
    'H4_bottom_dy':10,
    'H4_top_dy':5,

    'H5_left_offset':0,
    'H5_font_family':'Helvetica-Bold',
    'H5_font_size':10,
    'H5_bottom_dy':8,
    'H5_top_dy':3,

    'H6_left_offset':0,
    'H6_font_family':'Helvetica-Bold',
    'H6_font_size':10,
    'H6_bottom_dy':10,
    'H6_top_dy':5,

    'HR_thickness':2,
    'HR_width':'100%',
    'HR_bottom_dy':7,
    'HR_top_dy':3,

    'Header_section':'H2',
    'Header_text':' ',
    'Header_top_y':10,
    'Header_bottom_y':8,
    'Header_font_family':'Helvetica-Bold',
    'Header_font_size':10,
    'Header_line_thickness':2,
    'Header_line_y_offset':7
}

zpdf_doc={
    'font_size':11,
    
    'P_left_offset':40,

    'PRE_left_offset':40,
    
    'H1_numbering':0,
    'H1_left_offset':0,
    'H1_font_size':16,
    'H1_bottom_dy':14,
    'H1_top_dy':10,
    
    'H2_left_offset':20,
    'H3_left_offset':40,
    'H4_left_offset':40,
    'H5_left_offset':40,
    'H6_left_offset':40
    }


